<?php
require'f_forumm.php';
$tname=$_POST['tname'];
$titlu='Redenumeste topic '.$tnume;
require'f_sus.php';
require'f_mut.php';
if($_SERVER['REQUEST_TIME']<$tinfo[5]+15*60&&$tinfo[1]==$de||$perm>0)
{
if($tname!='')
{
if($conn->query('SELECT COUNT(*)FROM`forum_topicuri`WHERE`nume`="'.$tname.'"&&`fid`="'.$fid.'"')->fetch_row()[0]==0)
{
require'f_blocat.php';
if(!blocat($tname))
{
if($conn->query('UPDATE`forum_topicuri`SET`nume`="'.$tname.'"WHERE`id`="'.$tid.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Topicuri",`de`="'.$de.'",`text`="a redenumit topicul '.$tnume.' în '.$tname.' din forumul '.$fnume.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Topic redenumit!';
if($de!=$tinfo[1])
{
require'f_notificare.php';
notificare('am redenumit topicul tau din '.$tinfo[3].' în [url=/forum/topic/'.$tid.'-'.seo($tname).']'.$tname.'[/url].',$tinfo[1],$de);
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
{
$tip='nume topic '.$tinfo[3];
$text=$tname;
require'f_ban.php';
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Este adăugat un topic cu acest titlu!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Trebuie să pui un nume!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Topicul nu este al tau, sau nu ai permisiuni de editare asupra lui!';
echo$div[0];
require'f_jos.php';